#ifndef ENVIRONMENT_COMMON_DEBUG_H
#define ENVIRONMENT_COMMON_DEBUG_H

#define DEBUG_ENVIRONMENT true
#define DEBUG_CACHE       true
#define DEBUG_DATA        true
#define DEBUG_ENDIANNESS  true
#define DEBUG_QUEUE       true
#define DEBUG_RAMLOCK     true
#define DEBUG_SIM2OS      true
#define DEBUG_TTY         true

# define _cout(component, str...)					\
  do									\
    {									\
      if ( DEBUG_ ## component == true )				\
	{								\
	  fprintf(stdout,str);						\
	}								\
    } 								        \
  while(0)

# define _cerr(str...)                                                   \
  do									\
    {									\
      fprintf(stderr,str);						\
    } 								        \
  while(0)

#endif
